Package wx :: Class StockGDI

[frames | no frames]

## Type StockGDI

    object --+
             |
            StockGDI

Proxy of C++ StockGDI class

Method Summary
StockGDI | `__init__(self)`
| `__del__(self)`
| `DeleteAll()` (Static method)
Brush | `GetBrush(item)` (Static method)
Colour | `GetColour(item)` (Static method)
Cursor | `GetCursor(item)` (Static method)
Font | `GetFont(self, item)`
Pen | `GetPen(item)` (Static method)
StockGDI | `instance()` (Static method)

Property Summary
| `thisown`: The membership flag

Class Variable Summary
`int` | `BRUSH_BLACK` = 0
`int` | `BRUSH_BLUE` = 1
`int` | `BRUSH_CYAN` = 2
`int` | `BRUSH_GREEN` = 3
`int` | `BRUSH_GREY` = 4
`int` | `BRUSH_LIGHTGREY` = 5
`int` | `BRUSH_MEDIUMGREY` = 6
`int` | `BRUSH_RED` = 7
`int` | `BRUSH_TRANSPARENT` = 8
`int` | `BRUSH_WHITE` = 9
`int` | `COLOUR_BLACK` = 10
`int` | `COLOUR_BLUE` = 11
`int` | `COLOUR_CYAN` = 12
`int` | `COLOUR_GREEN` = 13
`int` | `COLOUR_LIGHTGREY` = 14
`int` | `COLOUR_RED` = 15
`int` | `COLOUR_WHITE` = 16
`int` | `CURSOR_CROSS` = 17
`int` | `CURSOR_HOURGLASS` = 18
`int` | `CURSOR_STANDARD` = 19
`int` | `FONT_ITALIC` = 20
`int` | `FONT_NORMAL` = 21
`int` | `FONT_SMALL` = 22
`int` | `FONT_SWISS` = 23
`int` | `ITEMCOUNT` = 34
`int` | `PEN_BLACK` = 24
`int` | `PEN_BLACKDASHED` = 25
`int` | `PEN_CYAN` = 26
`int` | `PEN_GREEN` = 27
`int` | `PEN_GREY` = 28
`int` | `PEN_LIGHTGREY` = 29
`int` | `PEN_MEDIUMGREY` = 30
`int` | `PEN_RED` = 31
`int` | `PEN_TRANSPARENT` = 32
`int` | `PEN_WHITE` = 33

Property Details

### thisown

The membership flag

Class Variable Details

### BRUSH_BLACK

  Type:
    `int`
  Value:

        0

### BRUSH_BLUE

  Type:
    `int`
  Value:

        1

### BRUSH_CYAN

  Type:
    `int`
  Value:

        2

### BRUSH_GREEN

  Type:
    `int`
  Value:

        3

### BRUSH_GREY

  Type:
    `int`
  Value:

        4

### BRUSH_LIGHTGREY

  Type:
    `int`
  Value:

        5

### BRUSH_MEDIUMGREY

  Type:
    `int`
  Value:

        6

### BRUSH_RED

  Type:
    `int`
  Value:

        7

### BRUSH_TRANSPARENT

  Type:
    `int`
  Value:

        8

### BRUSH_WHITE

  Type:
    `int`
  Value:

        9

### COLOUR_BLACK

  Type:
    `int`
  Value:

        10

### COLOUR_BLUE

  Type:
    `int`
  Value:

        11

### COLOUR_CYAN

  Type:
    `int`
  Value:

        12

### COLOUR_GREEN

  Type:
    `int`
  Value:

        13

### COLOUR_LIGHTGREY

  Type:
    `int`
  Value:

        14

### COLOUR_RED

  Type:
    `int`
  Value:

        15

### COLOUR_WHITE

  Type:
    `int`
  Value:

        16

### CURSOR_CROSS

  Type:
    `int`
  Value:

        17

### CURSOR_HOURGLASS

  Type:
    `int`
  Value:

        18

### CURSOR_STANDARD

  Type:
    `int`
  Value:

        19

### FONT_ITALIC

  Type:
    `int`
  Value:

        20

### FONT_NORMAL

  Type:
    `int`
  Value:

        21

### FONT_SMALL

  Type:
    `int`
  Value:

        22

### FONT_SWISS

  Type:
    `int`
  Value:

        23

### ITEMCOUNT

  Type:
    `int`
  Value:

        34

### PEN_BLACK

  Type:
    `int`
  Value:

        24

### PEN_BLACKDASHED

  Type:
    `int`
  Value:

        25

### PEN_CYAN

  Type:
    `int`
  Value:

        26

### PEN_GREEN

  Type:
    `int`
  Value:

        27

### PEN_GREY

  Type:
    `int`
  Value:

        28

### PEN_LIGHTGREY

  Type:
    `int`
  Value:

        29

### PEN_MEDIUMGREY

  Type:
    `int`
  Value:

        30

### PEN_RED

  Type:
    `int`
  Value:

        31

### PEN_TRANSPARENT

  Type:
    `int`
  Value:

        32

### PEN_WHITE

  Type:
    `int`
  Value:

        33

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:21 2007 | http://epydoc.sf.net